package net.heartshield.filter;

import junit.framework.TestCase;

import net.heartshield.signal.DVec;
import net.heartshield.signal.Series;

import org.json.JSONException;

public class PpgSigqualTests extends TestCase {
    public void testLoadSeries() throws JSONException {
        Series series = new Series("data/1480348240_B319CE46_meta.ppg_raw_even.json");

        System.out.println("t=" + DVec.toString(series.t));
        System.out.println("x=" + DVec.toString(series.x));

        // test if evenly spaced
        double[] dt = DVec.diff(series.t);
        System.out.println("dt=" + DVec.toString(dt));
    }
}
